fruits = {}

function fruit_create( x, y )
	table.insert( fruits, { x = x, y = y, w = 16, h = 16, pic = love.graphics.newImage( 'fruit.png' ) } )
end

function fruit_draw()
	for i, f in ipairs( fruits ) do
		if fruits[i] then
			love.graphics.draw( f.pic, f.x, f.y )
		end
	end
end

function fruit_check( x, y, w, h )
	for i = #fruits, 1, -1 do
		if fruits[i] then
			if x + ( w / 2 ) >= fruits[i].x and
			x + ( w / 2 ) <= fruits[i].x + fruits[i].w and
			fruits[i].y + fruits[i].h >= y and fruits[i].y <= y + h then
				table.remove( fruits, i )
			end
		end
	end
end