require "player"
require "map"
require "menu"
require "sound"
require "fruits"

function love.load()
	medium = love.graphics.newFont(45)
	love.graphics.setBackgroundColor(0,255,0)

	gamestate = "menu"

	button_spawn( 5, 200, "start", "start")
	button_spawn( 5, 400, "quit", "quit" )
	
	fruit_create( math.random( 50, 550 ), math.random( 50, 550 ) )
	fruit_create( math.random( 50, 550 ), math.random( 50, 550 ) )
	fruit_create( math.random( 50, 550 ), math.random( 50, 550 ) )
	fruit_create( math.random( 50, 550 ), math.random( 50, 550 ) )
	
	menub = love.graphics.newImage("menu yes.png")
end
	
function love.update(dt)
	mousex = love.mouse.getX()
	mousey = love.mouse.getY()
	
	if gamestate == "playing" then
		map_collide()
		player_move(dt)
		play_audio()
		backround = love.graphics.newImage("baseland.png")
	end
	
	if gamestate == "menu" then
		button_check()
	end
end

function love.draw(dt)
	if gamestate == "playing" then
		love.graphics.setColor( 255, 255, 255 )
		love.graphics.draw( backround, 0, 0 )
		player_draw()
		fruit_draw()
		fruit_check( player.x, player.y, player.w, player.h )
	end

	if gamestate == "menu" then
		love.graphics.setColor( 255, 255, 255 )
		love.graphics.draw( menub, -200,-300 )
		love.graphics.setColor( 0, 0, 0 )
		love.graphics.print( "The Advententures of lil B", 1, 1 )
		button_draw()
	end	
end

function love.mousepressed(x,y)
	if gamestate == "menu" then
		button_click(x,y)
	end
end